Package plugins :: Package core :: Package complete :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Auto-completion plugin

Instance Methods | [hide private]

__init__(self, xyz) | source code

prepare(self) | source code

finalize(self) | source code

complete(self, buf, domains=None) Take current buffer and return list of list-generator each entry for each domain. | source code

smart_complete(self, cmd) Try to guess what completion domain can be used based on provided buffer and defined behaviour. | source code

dialog(self, buf, domains=None) Show a window containing matched entries and return user selected one | source code

_init_domain(self, dom) Try to load and initialize domain class | source code

Class Variables | [hide private]

| NAME = `u"complete"`
| AUTHOR = `u"Max E. Kuznecov <syhpoon@syhpoon.name>"`
| VERSION = `u"0.1"`
| BRIEF_DESCRIPTION = `u"Auto-completion system"`
| FULL_DESCRIPTION = `u"Plugin-based completion system"`
| NAMESPACE = `u"core"`
| MIN_XYZ_VERSION = `None`
| DOC = `u"Configuration variables:\n" u"domains - List of domain`...``
| HOMEPAGE = `u"http://xyzcmd.syhpoon.name/"`
| EVENTS = `None`

Method Details | [hide private]

### complete(self, buf, domains=None)

source code

Take current buffer and return list of list-generator each entry for each domain.

Parameters:
  - `buf` - Current buffer
  - `domains` - List of domains to search in, if None search in all available domains.
Returns:
  List of list-generator each entry for each domain

### smart_complete(self, cmd)

source code

Try to guess what completion domain can be used based on provided buffer and defined behaviour.

Parameters:
  - `cmd` - Current buffer
Returns:
  List of list-generator each entry for each domain

### _init_domain(self, dom)

source code

Try to load and initialize domain class

Parameters:
  - `dom` - Domain name string. Class name is constructed by prepending domain_ prefix

Class Variable Details | [hide private]

### DOC

Value:

      u"Configuration variables:\n" u"domains - List of domains to use.\n" u
      "Default: ['binpath', 'fs']"